incubator-bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r..@apache.org
Subject svn commit: r1300742 - in /incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src: common/hadoop/do-component-build common/hadoop/install_hadoop.sh deb/hadoop/control deb/hadoop/hadoop-client.install rpm/hadoop/SPECS/hadoop.spec
Date Wed, 14 Mar 2012 21:47:21 GMT
Author: rvs
Date: Wed Mar 14 21:47:21 2012
New Revision: 1300742

URL: http://svn.apache.org/viewvc?rev=1300742&view=rev
Log:
BIGTOP-423. hadoop package needs to be split into hadoop-client and hadoop-server packages

Added:
    incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-client.install
Modified:
    incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/do-component-build
    incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/install_hadoop.sh
    incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/control
    incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec

Modified: incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/do-component-build
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/do-component-build?rev=1300742&r1=1300741&r2=1300742&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/do-component-build
(original)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/do-component-build
Wed Mar 14 21:47:21 2012
@@ -35,3 +35,6 @@ mvn site site:stage ${MAVEN_SKIP_TESTS} 
 # Copy generated docs
 mkdir -p build/share/doc/
 cp -r target/site/* build/share/doc/
+
+# Create a manifest for hadoop client package
+(cd hadoop-client/target/hadoop-client-*/share/hadoop/client/lib ; ls) > build/hadoop-client.list

Modified: incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/install_hadoop.sh
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/install_hadoop.sh?rev=1300742&r1=1300741&r2=1300742&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/install_hadoop.sh
(original)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/common/hadoop/install_hadoop.sh
Wed Mar 14 21:47:21 2012
@@ -44,6 +44,7 @@ OPTS=$(getopt \
   -l 'hdfs-dir:' \
   -l 'yarn-dir:' \
   -l 'mapreduce-dir:' \
+  -l 'client-dir:' \
   -l 'system-include-dir:' \
   -l 'system-lib-dir:' \
   -l 'system-libexec-dir:' \
@@ -83,6 +84,9 @@ while true ; do
         --mapreduce-dir)
         MAPREDUCE_DIR=$2 ; shift 2
         ;;
+        --client-dir)
+        CLIENT_DIR=$2 ; shift 2
+        ;;
         --system-include-dir)
         SYSTEM_INCLUDE_DIR=$2 ; shift 2
         ;;
@@ -138,6 +142,7 @@ HADOOP_DIR=${HADOOP_DIR:-$PREFIX/usr/lib
 HDFS_DIR=${HDFS_DIR:-$PREFIX/usr/lib/hadoop-hdfs}
 YARN_DIR=${YARN_DIR:-$PREFIX/usr/lib/hadoop-yarn}
 MAPREDUCE_DIR=${MAPREDUCE_DIR:-$PREFIX/usr/lib/hadoop-mapreduce}
+CLIENT_DIR=${CLIENT_DIR:-$PREFIX/usr/lib/hadoop/client}
 HTTPFS_DIR=${HTTPFS_DIR:-$PREFIX/usr/lib/hadoop-httpfs}
 SYSTEM_LIB_DIR=${SYSTEM_LIB_DIR:-/usr/lib}
 BIN_DIR=${BIN_DIR:-$PREFIX/usr/bin}
@@ -303,3 +308,12 @@ for DIR in ${HADOOP_DIR} ${HDFS_DIR} ${Y
      fi
    done)
 done
+
+# Now create a client installation area full of symlinks
+install -d -m 0755 ${CLIENT_DIR}
+for file in `cat ${BUILD_DIR}/hadoop-client.list` ; do
+  for dir in ${HADOOP_DIR}/{lib,} ${HDFS_DIR}/{lib,} ${YARN_DIR}/{lib,} ${MAPREDUCE_DIR}/{lib,}
; do
+    [ -e $dir/$file ] && ln -fs ${dir#$PREFIX}/$file ${CLIENT_DIR}/$file &&
continue 2
+  done
+  exit 1
+done

Modified: incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/control
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/control?rev=1300742&r1=1300741&r2=1300742&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/control (original)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/control Wed Mar 14
21:47:21 2012
@@ -103,7 +103,10 @@ Description: Documentation for Hadoop
 Package: hadoop-conf-pseudo
 Provides: hadoop-conf-pseudo
 Architecture: all
-Depends: hadoop (= ${source:Version}), hadoop-hdfs-namenode (= ${source:Version}), hadoop-hdfs-datanode
(= ${source:Version}), hadoop-hdfs-secondarynamenode (= ${source:Version}), hadoop-yarn-resourcemanager
(= ${source:Version}), hadoop-yarn-nodemanager (= ${source:Version}), hadoop-mapreduce-historyserver
(= ${source:Version})
+Depends: hadoop (= ${source:Version}), hadoop-hdfs-namenode (= ${source:Version}),
+         hadoop-hdfs-datanode (= ${source:Version}), hadoop-hdfs-secondarynamenode (= ${source:Version}),
+         hadoop-yarn-resourcemanager (= ${source:Version}), hadoop-yarn-nodemanager (= ${source:Version}),
+         hadoop-mapreduce-historyserver (= ${source:Version})
 Description: Pseudo-distributed Hadoop configuration
  Contains configuration files for a "pseudo-distributed" Hadoop deployment.
  In this mode, each of the hadoop components runs as a separate Java process,
@@ -186,3 +189,11 @@ Depends: hadoop-hdfs (= ${source:Version
 Description: HTTPFS for Hadoop
   The server providing HTTP REST API support for the complete FileSystem/FileContext
   interface in HDFS.
+
+Package: hadoop-client
+Provides: hadoop-client
+Architecture: all
+Depends: hadoop (= ${source:Version}), hadoop-hdfs (= ${source:Version}),
+         hadoop-yarn (= ${source:Version}), hadoop-mapreduce (= ${source:Version})
+Description: Hadoop client side dependencies
+ Installation of this package will provide you with all the dependencies for Hadoop clients.

Added: incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-client.install
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-client.install?rev=1300742&view=auto
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-client.install
(added)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/deb/hadoop/hadoop-client.install
Wed Mar 14 21:47:21 2012
@@ -0,0 +1 @@
+/usr/lib/hadoop/client

Modified: incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
URL: http://svn.apache.org/viewvc/incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec?rev=1300742&r1=1300741&r2=1300742&view=diff
==============================================================================
--- incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
(original)
+++ incubator/bigtop/branches/hadoop-0.23/bigtop-packages/src/rpm/hadoop/SPECS/hadoop.spec
Wed Mar 14 21:47:21 2012
@@ -334,10 +334,22 @@ Requires(pre): %{name} = %{version}-%{re
 %description mapreduce-historyserver
 The History server keeps records of the different activities being performed on a Apache
Hadoop cluster
 
+%package client
+Summary: Hadoop client side dependencies
+Group: System/Daemons
+Requires: %{name} = %{version}-%{release}, %{name}-hdfs = %{version}-%{release},
+          %{name}-yarn = %{version}-%{release}, %{name}-mapreduce = %{version}-%{release}
+
+%description client
+Installation of this package will provide you with all the dependencies for Hadoop clients.
+
 %package conf-pseudo
 Summary: Hadoop installation in pseudo-distributed mode
 Group: System/Daemons
-Requires: %{name} = %{version}-%{release}, %{name}-hdfs-namenode = %{version}-%{release},
%{name}-hdfs-datanode = %{version}-%{release}, %{name}-hdfs-secondarynamenode = %{version}-%{release},
%{name}-yarn-resourcemanager = %{version}-%{release}, %{name}-yarn-nodemanager = %{version}-%{release},
%{name}-mapreduce-historyserver = %{version}-%{release}
+Requires: %{name} = %{version}-%{release}, %{name}-hdfs-namenode = %{version}-%{release},
+          %{name}-hdfs-datanode = %{version}-%{release}, %{name}-hdfs-secondarynamenode =
%{version}-%{release},
+          %{name}-yarn-resourcemanager = %{version}-%{release}, %{name}-yarn-nodemanager
= %{version}-%{release},
+          %{name}-mapreduce-historyserver = %{version}-%{release}
 
 %description conf-pseudo
 Installation of this RPM will setup your machine to run in pseudo-distributed mode
@@ -602,6 +614,10 @@ fi
 %defattr(-,root,root)
 %config(noreplace) %attr(755,root,root) %{etc_hadoop}/conf.pseudo
 
+%files client
+%defattr(-,root,root)
+%{lib_hadoop}/client
+
 %files libhdfs
 %defattr(-,root,root)
 %{_libdir}/libhdfs*



Mime
View raw message